VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
dataexchange.h File Reference
`#include "public.sdk/source/vst/vstaudioeffect.h"`
`#include "pluginterfaces/vst/ivstdataexchange.h"`
`#include <functional>`
`#include <memory>`

## Classes
class | DataExchangeHandler
| Helper class to provide a single API for plug-ins to transfer data from the realtime audio process to the edit controller either via the backwards compatible message handling protocol (see IMessage) or the new IDataExchangeHandler/IDataExchangeReceiver API. More...
struct | DataExchangeHandler::Config
class | DataExchangeReceiverHandler
| Helper class to provide a single API for plug-ins to transfer data from the realtime audio process to the edit controller either via the message handling protocol (see IMessage) or the new IDataExchangeHandler/IDataExchangeReceiver API. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Functions
bool | operator!= (const DataExchangeBlock &lhs, const DataExchangeBlock &rhs)
bool | operator== (const DataExchangeBlock &lhs, const DataExchangeBlock &rhs)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.